Openembedded Core Discussions
 help / color / mirror / Atom feed
* [PATCH 0/1] Grok git config sendmail.to if available
@ 2011-03-12 15:12 Khem Raj
  2011-03-12 15:12 ` [PATCH 1/1] send-pull-request: Fetch TO email address from git config if specified Khem Raj
  0 siblings, 1 reply; 3+ messages in thread
From: Khem Raj @ 2011-03-12 15:12 UTC (permalink / raw)
  To: OE core


Pull URL: git://git.openembedded.org/openembedded-core-contrib.git
  Branch: kraj/scripts
  Browse: http://git.openembedded.org/cgit.cgi/openembedded-core-contrib/log/?h=kraj/scripts

Thanks,
    Khem Raj <raj.khem@gmail.com>
---


Khem Raj (1):
  send-pull-request: Fetch TO email address from git config if
    specified

 scripts/send-pull-request |   21 +++++++++++++++------
 1 files changed, 15 insertions(+), 6 deletions(-)

-- 
1.7.4.1




^ permalink raw reply	[flat|nested] 3+ messages in thread

* [PATCH 1/1] send-pull-request: Fetch TO email address from git config if specified
  2011-03-12 15:12 [PATCH 0/1] Grok git config sendmail.to if available Khem Raj
@ 2011-03-12 15:12 ` Khem Raj
  2011-03-14 22:09   ` Darren Hart
  0 siblings, 1 reply; 3+ messages in thread
From: Khem Raj @ 2011-03-12 15:12 UTC (permalink / raw)
  To: OE core

Usually people using git send-email has git config sendmail.to
configured to the usual mailing list or person so we harness that
here.

Signed-off-by: Khem Raj <raj.khem@gmail.com>
---
 scripts/send-pull-request |   21 +++++++++++++++------
 1 files changed, 15 insertions(+), 6 deletions(-)

diff --git a/scripts/send-pull-request b/scripts/send-pull-request
index 7f51a1b..c5dc9a9 100755
--- a/scripts/send-pull-request
+++ b/scripts/send-pull-request
@@ -109,15 +109,17 @@ if [ $AUTO -eq 1 ]; then
     harvest_recipients CC "^.*-[Bb][Yy]: *"
 fi
 
-if [ -z "$TO" ] && [ -z "$CC" ]; then
-    echo "ERROR: you have not specified any recipients."
-    usage
-    exit 1
-fi
-
 case "$PULL_MTA" in
     git)
         FROM="$(git config sendemail.from)"
+	AUTO_TO="$(git config sendemail.to)"
+	if [ ! -e "$AUTO_TO" ]; then
+	    if [ ! -e $TO ]; then
+		TO="$TO,$AUTO_TO"
+	    else
+		TO="$AUTO_TO"
+	    fi
+	fi
         ;;
     sendmail)
         if [ -z "$FROM" ]; then
@@ -131,6 +133,13 @@ case "$PULL_MTA" in
         ;;
 esac
 
+if [ -z "$TO" ] && [ -z "$CC" ]; then
+    echo "ERROR: you have not specified any recipients."
+    usage
+    exit 1
+fi
+
+
 # Generate report for the user and require confirmation before sending
 cat <<EOM
 The following patches:
-- 
1.7.4.1




^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [PATCH 1/1] send-pull-request: Fetch TO email address from git config if specified
  2011-03-12 15:12 ` [PATCH 1/1] send-pull-request: Fetch TO email address from git config if specified Khem Raj
@ 2011-03-14 22:09   ` Darren Hart
  0 siblings, 0 replies; 3+ messages in thread
From: Darren Hart @ 2011-03-14 22:09 UTC (permalink / raw)
  To: Patches and discussions about the oe-core layer

Hi Khem,

On 03/12/2011 07:12 AM, Khem Raj wrote:
> Usually people using git send-email has git config sendmail.to
> configured to the usual mailing list or person so we harness that
> here.

OK, good idea, couple concerns below.

>
> Signed-off-by: Khem Raj<raj.khem@gmail.com>
> ---
>   scripts/send-pull-request |   21 +++++++++++++++------
>   1 files changed, 15 insertions(+), 6 deletions(-)
>
> diff --git a/scripts/send-pull-request b/scripts/send-pull-request
> index 7f51a1b..c5dc9a9 100755
> --- a/scripts/send-pull-request
> +++ b/scripts/send-pull-request
> @@ -109,15 +109,17 @@ if [ $AUTO -eq 1 ]; then
>       harvest_recipients CC "^.*-[Bb][Yy]: *"
>   fi
>
> -if [ -z "$TO" ]&&  [ -z "$CC" ]; then
> -    echo "ERROR: you have not specified any recipients."
> -    usage
> -    exit 1
> -fi
> -
>   case "$PULL_MTA" in
>       git)
>           FROM="$(git config sendemail.from)"
> +	AUTO_TO="$(git config sendemail.to)"
> +	if [ ! -e "$AUTO_TO" ]; then

-e tests for file existence...

> +	    if [ ! -e $TO ]; then

Here too, and please quote all shell variables.

I think you want -n:

if [ -n "$AUTO_TO" ]; then
	if [ -n "$TO" ]; then

Thanks,

Darren

> +		TO="$TO,$AUTO_TO"
> +	    else
> +		TO="$AUTO_TO"
> +	    fi
> +	fi
>           ;;
>       sendmail)
>           if [ -z "$FROM" ]; then
> @@ -131,6 +133,13 @@ case "$PULL_MTA" in
>           ;;
>   esac
>
> +if [ -z "$TO" ]&&  [ -z "$CC" ]; then
> +    echo "ERROR: you have not specified any recipients."
> +    usage
> +    exit 1
> +fi
> +
> +
>   # Generate report for the user and require confirmation before sending
>   cat<<EOM
>   The following patches:

-- 
Darren Hart
Intel Open Source Technology Center
Yocto Project - Linux Kernel



^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2011-03-14 22:11 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-03-12 15:12 [PATCH 0/1] Grok git config sendmail.to if available Khem Raj
2011-03-12 15:12 ` [PATCH 1/1] send-pull-request: Fetch TO email address from git config if specified Khem Raj
2011-03-14 22:09   ` Darren Hart

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox